Data - Retrieve Group Data
Haalt groepsgegevens op op basis van de opgegeven criteria.
POST http://<Servername>/OperationsManager/data/scomGroups
Aanvraagbody
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Type | Description |
|---|---|---|
| criteria |
string |
Criteria voor zoeken |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. Groepen zijn opgehaald op basis van de opgegeven criteria. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Voorbeelden
RetrieveGroupData
Voorbeeldaanvraag
POST http://<Servername>/OperationsManager/data/scomGroups
[
"DisplayName LIKE '%All Windows Computers%'"
]
Voorbeeldrespons
{
"scopeDatas": [
{
"id": "3c8ac4f3-475e-44dd-4163-8a97af363705",
"displayName": "All Windows Computers",
"className": "All Windows Computers",
"path": null,
"fullName": "Microsoft.SystemCenter.AllComputersGroup"
}
]
}
Definities
| Name | Description |
|---|---|
|
Scope |
|
|
Scope |
ScopeData
| Name | Type | Description |
|---|---|---|
| className |
string |
Klassenaam |
| displayName |
string |
Weergavenaam |
| fullName |
string |
Volledige naam |
| id |
string |
ID-kaart |
| path |
string |
Pad |
ScopeDataResponse
| Name | Type | Description |
|---|---|---|
| scopeDatas |
Reikwijdte gegevens |